## zvmcloudconnector 1.4.1

=== requirements.txt ===
jsonschema>=2.3.0 # MIT
netaddr>=0.7.5 # BSD
PyJWT>=1.0.1 # MIT
requests>=2.6.0 # Apache-2.0
Routes>=2.2 # MIT
six>=1.9.0 # MIT
WebOb>=1.2.3 # MIT
