=== zthin-parts/Makefile ===
DEBUG = -g
CFLAGS = -fPIC
LIB_DIR = $(RPM_BUILD_ROOT)/opt/zthin/lib
BIN_DIR = $(RPM_BUILD_ROOT)/opt/zthin/bin
LD_DIR = $(RPM_BUILD_ROOT)/etc/ld.so.conf.d
SRC_DIR = zthin/src/
INCLUDE_DIR = zthin/include/
ZTHINLIB = "libzthin.so"

#-----------------------------------------------------------------------
# Objects for utils
#-----------------------------------------------------------------------
UTILS_OBJECTS += rcdescriptions.o
UTILS_OBJECTS += wrapperutils.o

#-----------------------------------------------------------------------
# Objects for sm library
#-----------------------------------------------------------------------
SM_OBJECTS += smSocket.o
SM_OBJECTS += smMemoryGroup.o
SM_OBJECTS += smapiUtilities.o
SM_OBJECTS += smapiTableParser.o

#-----------------------------------------------------------------------
# Objects for vmapi library
#-----------------------------------------------------------------------
VMAPI_OBJECTS += vmapiAsynchronousNotificationDisableDm.o
VMAPI_OBJECTS += vmapiAsynchronousNotificationEnableDm.o
VMAPI_OBJECTS += vmapiAsynchronousNotificationQueryDm.o
VMAPI_OBJECTS += vmapiAuthorizationListAdd.o
VMAPI_OBJECTS += vmapiAuthorizationListQuery.o
VMAPI_OBJECTS += vmapiAuthorizationListRemove.o
VMAPI_OBJECTS += vmapiCheckAuthentication.o
VMAPI_OBJECTS += vmapiDeleteABENDDump.o
VMAPI_OBJECTS += vmapiEventStreamAdd.o
VMAPI_OBJECTS += vmapiEventUnsubscribe.o
VMAPI_OBJECTS += vmapiDirectoryManagerLocalTagDefineDm.o
VMAPI_OBJECTS += vmapiDirectoryManagerLocalTagDeleteDm.o
VMAPI_OBJECTS += vmapiDirectoryManagerLocalTagQueryDm.o
VMAPI_OBJECTS += vmapiDirectoryManagerLocalTagSetDm.o
VMAPI_OBJECTS += vmapiDirectoryManagerSearchDm.o
VMAPI_OBJECTS += vmapiDirectoryManagerTaskCancelDm.o
VMAPI_OBJECTS += vmapiImageActivate.o
VMAPI_OBJECTS += vmapiImageActiveConfigurationQuery.o
VMAPI_OBJECTS += vmapiImageConsoleGet.o
VMAPI_OBJECTS += vmapiImageCpuDefine.o
VMAPI_OBJECTS += vmapiImageCpuDefineDm.o
VMAPI_OBJECTS += vmapiImageCpuDelete.o
VMAPI_OBJECTS += vmapiImageCpuDeleteDm.o
VMAPI_OBJECTS += vmapiImageCpuQuery.o
VMAPI_OBJECTS += vmapiImageCpuQueryDm.o
VMAPI_OBJECTS += vmapiImageCpuSetMaximumDm.o
VMAPI_OBJECTS += vmapiImageCreateDm.o
VMAPI_OBJECTS += vmapiImageDeactivate.o
VMAPI_OBJECTS += vmapiImageDefinitionAsyncUpdates.o
VMAPI_OBJECTS += vmapiImageDefinitionCreateDm.o
VMAPI_OBJECTS += vmapiImageDefinitionDeleteDm.o
VMAPI_OBJECTS += vmapiImageDefinitionQueryDm.o
VMAPI_OBJECTS += vmapiImageDefinitionUpdateDm.o
VMAPI_OBJECTS += vmapiImageDeleteDm.o
VMAPI_OBJECTS += vmapiImageDeviceDedicate.o
VMAPI_OBJECTS += vmapiImageDeviceDedicateDm.o
VMAPI_OBJECTS += vmapiImageDeviceReset.o
VMAPI_OBJECTS += vmapiImageDeviceUndedicate.o
VMAPI_OBJECTS += vmapiImageDeviceUndedicateDm.o
VMAPI_OBJECTS += vmapiImageDiskCopy.o
VMAPI_OBJECTS += vmapiImageDiskCopyDm.o
VMAPI_OBJECTS += vmapiImageDiskCreate.o
VMAPI_OBJECTS += vmapiImageDiskCreateDm.o
VMAPI_OBJECTS += vmapiImageDiskDelete.o
VMAPI_OBJECTS += vmapiImageDiskDeleteDm.o
VMAPI_OBJECTS += vmapiImageDiskQuery.o
VMAPI_OBJECTS += vmapiImageDiskShare.o
VMAPI_OBJECTS += vmapiImageDiskShareDm.o
VMAPI_OBJECTS += vmapiImageDiskUnshare.o
VMAPI_OBJECTS += vmapiImageDiskUnshareDm.o
VMAPI_OBJECTS += vmapiImageIplDeleteDm.o
VMAPI_OBJECTS += vmapiImageIplDeviceQuery.o
VMAPI_OBJECTS += vmapiImageIplQueryDm.o
VMAPI_OBJECTS += vmapiImageIplSetDm.o
VMAPI_OBJECTS += vmapiImageLockDm.o
VMAPI_OBJECTS += vmapiImageLockQueryDm.o
VMAPI_OBJECTS += vmapiImageMdiskLinkQuery.o
VMAPI_OBJECTS += vmapiImageNameQueryDm.o
VMAPI_OBJECTS += vmapiImagePasswordSetDm.o
VMAPI_OBJECTS += vmapiImagePause.o
VMAPI_OBJECTS += vmapiImagePerformanceQuery.o
VMAPI_OBJECTS += vmapiImageQueryActivateTime.o
VMAPI_OBJECTS += vmapiImageQueryDm.o
VMAPI_OBJECTS += vmapiImageRecycle.o
VMAPI_OBJECTS += vmapiImageReplaceDm.o
VMAPI_OBJECTS += vmapiImageScsiCharacteristicsDefineDm.o
VMAPI_OBJECTS += vmapiImageScsiCharacteristicsQueryDm.o
VMAPI_OBJECTS += vmapiImageStatusQuery.o
VMAPI_OBJECTS += vmapiImageUnlockDm.o
VMAPI_OBJECTS += vmapiImageVolumeAdd.o
VMAPI_OBJECTS += vmapiImageVolumeDelete.o
VMAPI_OBJECTS += vmapiImageVolumeShare.o
VMAPI_OBJECTS += vmapiImageVolumeSpaceDefineDm.o
VMAPI_OBJECTS += vmapiImageVolumeSpaceDefineExtendedDm.o
VMAPI_OBJECTS += vmapiImageVolumeSpaceQueryDm.o
VMAPI_OBJECTS += vmapiImageVolumeSpaceQueryExtendedDm.o
VMAPI_OBJECTS += vmapiImageVolumeSpaceRemoveDm.o
VMAPI_OBJECTS += vmapiIPaddrGet.o
VMAPI_OBJECTS += vmapiMetadataDelete.o
VMAPI_OBJECTS += vmapiMetadataGet.o
VMAPI_OBJECTS += vmapiMetadataSet.o
VMAPI_OBJECTS += vmapiMetadataSpaceQuery.o
VMAPI_OBJECTS += vmapiNameListAdd.o
VMAPI_OBJECTS += vmapiNameListDestroy.o
VMAPI_OBJECTS += vmapiNameListQuery.o
VMAPI_OBJECTS += vmapiNameListRemove.o
VMAPI_OBJECTS += vmapiNetworkIPInterfaceCreate.o
VMAPI_OBJECTS += vmapiNetworkIPInterfaceModify.o
VMAPI_OBJECTS += vmapiNetworkIPInterfaceQuery.o
VMAPI_OBJECTS += vmapiNetworkIPInterfaceRemove.o
VMAPI_OBJECTS += vmapiPageOrSpoolVolumeAdd.o
VMAPI_OBJECTS += vmapiProcessAbendDump.o
VMAPI_OBJECTS += vmapiProfileCreateDm.o
VMAPI_OBJECTS += vmapiProfileDeleteDm.o
VMAPI_OBJECTS += vmapiProfileLockDm.o
VMAPI_OBJECTS += vmapiProfileLockQueryDm.o
VMAPI_OBJECTS += vmapiProfileQueryDm.o
VMAPI_OBJECTS += vmapiProfileReplaceDm.o
VMAPI_OBJECTS += vmapiProfileUnlockDm.o
VMAPI_OBJECTS += vmapiPrototypeCreateDm.o
VMAPI_OBJECTS += vmapiPrototypeDeleteDm.o
VMAPI_OBJECTS += vmapiPrototypeNameQueryDm.o
VMAPI_OBJECTS += vmapiPrototypeQueryDm.o
VMAPI_OBJECTS += vmapiPrototypeReplaceDm.o
VMAPI_OBJECTS += vmapiQueryAbendDump.o
VMAPI_OBJECTS += vmapiQueryAllDmNo.o
VMAPI_OBJECTS += vmapiQueryAllDmYes.o
VMAPI_OBJECTS += vmapiQueryApiFunctionalLevel.o
VMAPI_OBJECTS += vmapiQueryAsynchronousOperationDm.o
VMAPI_OBJECTS += vmapiQueryDirectoryManagerLevelDm.o
VMAPI_OBJECTS += vmapiResponseRecovery.o
VMAPI_OBJECTS += vmapiSharedMemoryAccessAddDm.o
VMAPI_OBJECTS += vmapiSharedMemoryAccessQueryDm.o
VMAPI_OBJECTS += vmapiSharedMemoryAccessRemoveDm.o
VMAPI_OBJECTS += vmapiSharedMemoryCreate.o
VMAPI_OBJECTS += vmapiSharedMemoryDelete.o
VMAPI_OBJECTS += vmapiSharedMemoryQuery.o
VMAPI_OBJECTS += vmapiSharedMemoryReplace.o
VMAPI_OBJECTS += vmapiSMAPIStatusCapture.o
VMAPI_OBJECTS += vmapiSSIQuery.o
VMAPI_OBJECTS += vmapiStaticImageChangesActivateDm.o
VMAPI_OBJECTS += vmapiStaticImageChangesDeactivateDm.o
VMAPI_OBJECTS += vmapiStaticImageChangesImmediateDm.o
VMAPI_OBJECTS += vmapiSystemConfigSyntaxCheck.o
VMAPI_OBJECTS += vmapiSystemDiskAccessibility.o
VMAPI_OBJECTS += vmapiSystemDiskAdd.o
VMAPI_OBJECTS += vmapiSystemDiskIoQuery.o
VMAPI_OBJECTS += vmapiSystemDiskQuery.o
VMAPI_OBJECTS += vmapiSystemEQIDQuery.o
VMAPI_OBJECTS += vmapiSystemFCPFreeQuery.o
VMAPI_OBJECTS += vmapiSystemImagePerformanceQuery.o
VMAPI_OBJECTS += vmapiSystemInfoQuery.o
VMAPI_OBJECTS += vmapiSystemInformationQuery.o
VMAPI_OBJECTS += vmapiSystemIoQuery.o
VMAPI_OBJECTS += vmapiSystemPageUtilizationQuery.o
VMAPI_OBJECTS += vmapiSystemPerformanceInfoQuery.o
VMAPI_OBJECTS += vmapiSystemPerformanceInformationQuery.o
VMAPI_OBJECTS += vmapiSystemPerformanceThresholdDisable.o
VMAPI_OBJECTS += vmapiSystemPerformanceThresholdEnable.o
VMAPI_OBJECTS += vmapiSystemRDRFileManage.o
VMAPI_OBJECTS += vmapiSystemSCSIDiskAdd.o
VMAPI_OBJECTS += vmapiSystemSCSIDiskDelete.o
VMAPI_OBJECTS += vmapiSystemSCSIDiskQuery.o
VMAPI_OBJECTS += vmapiSystemServiceQuery.o
VMAPI_OBJECTS += vmapiSystemShutdown.o
VMAPI_OBJECTS += vmapiSystemSpoolUtilizationQuery.o
VMAPI_OBJECTS += vmapiSystemWWPNQuery.o
VMAPI_OBJECTS += vmapiVirtualChannelConnectionCreate.o
VMAPI_OBJECTS += vmapiVirtualChannelConnectionCreateDm.o
VMAPI_OBJECTS += vmapiVirtualChannelConnectionDelete.o
VMAPI_OBJECTS += vmapiVirtualChannelConnectionDeleteDm.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterConnectLan.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterConnectLanDm.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterConnectVswitch.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterConnectVswitchDm.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterConnectVswitchExtended.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterCreate.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterCreateDm.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterCreateExtended.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterCreateExtendedDm.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterDelete.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterDeleteDm.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterDisconnect.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterDisconnectDm.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterQuery.o
VMAPI_OBJECTS += vmapiVirtualNetworkAdapterQueryExtended.o
VMAPI_OBJECTS += vmapiVirtualNetworkLanAccess.o
VMAPI_OBJECTS += vmapiVirtualNetworkLanAccessQuery.o
VMAPI_OBJECTS += vmapiVirtualNetworkLanCreate.o
VMAPI_OBJECTS += vmapiVirtualNetworkLanDelete.o
VMAPI_OBJECTS += vmapiVirtualNetworkLanQuery.o
VMAPI_OBJECTS += vmapiVirtualNetworkOsaQuery.o
VMAPI_OBJECTS += vmapiVirtualNetworkVLANQueryStats.o
VMAPI_OBJECTS += vmapiVirtualNetworkQueryLan.o
VMAPI_OBJECTS += vmapiVirtualNetworkQueryOsa.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchCreate.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchCreateExtended.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchDelete.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchDeleteExtended.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchQuery.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchQueryByteStats.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchQueryExtended.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchQueryIUOStats.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchQueryStats.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchSet.o
VMAPI_OBJECTS += vmapiVirtualNetworkVswitchSetExtended.o
VMAPI_OBJECTS += vmapiVMRelocate.o
VMAPI_OBJECTS += vmapiVMRelocateImageAttributes.o
VMAPI_OBJECTS += vmapiVMRelocateModify.o
VMAPI_OBJECTS += vmapiVMRelocateStatus.o
VMAPI_OBJECTS += vmapiVmrmConfigurationQuery.o
VMAPI_OBJECTS += vmapiVmrmConfigurationUpdate.o
VMAPI_OBJECTS += vmapiVmrmMeasurementQuery.o
VMAPI_OBJECTS += vmapiXcatCommandsIUO.o

#-----------------------------------------------------------------------
# Objects for smcli
#-----------------------------------------------------------------------
SMCLI_OBJECTS += smcli.o
SMCLI_OBJECTS += smcliAsynchronous.o
SMCLI_OBJECTS += smcliAuthorization.o
SMCLI_OBJECTS += smcliCheck.o
SMCLI_OBJECTS += smcliDelete.o
SMCLI_OBJECTS += smcliDirectory.o
SMCLI_OBJECTS += smcliEvent.o
SMCLI_OBJECTS += smcliImage.o
SMCLI_OBJECTS += smcliImageDefinition.o
SMCLI_OBJECTS += smcliMetadata.o
SMCLI_OBJECTS += smcliName.o
SMCLI_OBJECTS += smcliNetwork.o
SMCLI_OBJECTS += smcliPage.o
SMCLI_OBJECTS += smcliProcess.o
SMCLI_OBJECTS += smcliProfile.o
SMCLI_OBJECTS += smcliPrototype.o
SMCLI_OBJECTS += smcliQuery.o
SMCLI_OBJECTS += smcliResponse.o
SMCLI_OBJECTS += smcliShared.o
SMCLI_OBJECTS += smcliSMAPI.o
SMCLI_OBJECTS += smcliSSI.o
SMCLI_OBJECTS += smcliStatic.o
SMCLI_OBJECTS += smcliSystem.o
SMCLI_OBJECTS += smcliVirtual.o
SMCLI_OBJECTS += smcliVMRelocate.o
SMCLI_OBJECTS += smcliVMRM.o
SMCLI_OBJECTS += smcliUnDocumented.o

#-----------------------------------------------------------------------
# Objects for cikada
#-----------------------------------------------------------------------
CIKADA_OBJECTS += ckddecode.o
CIKADA_OBJECTS += ckdencode.o
CIKADA_OBJECTS += ckdhex.o


.PHONY: all install post clean
#-----------------------------------------------------------------------
# All
#-----------------------------------------------------------------------
all: $(ZTHINLIB) \
    $(CIKADA_OBJECTS) \
    $(SMCLI_OBJECTS) \
    $(UTILS_OBJECTS)  \
    ckddecode \
    ckdencode \
    ckdhex \
    syncfileutil \
    smcli\
    iucvserv\
    iucvclnt

#------------------------------------------------------------------------------------------------------------------------------------------------------
# Utils object files
#------------------------------------------------------------------------------------------------------------------------------------------------------
rcdescriptions.o : $(SRC_DIR)rcdescriptions.c
