## zvmcloudconnector 1.2.3

=== debian/changelog ===
zvmcloudconnector (1.2.3-1) unstable; urgency=medium

  * Initial release. (Closes: #907016)

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Aug 2018 09:14:08 +0200
