=== debian/control ===
Source: zvmcloudconnector
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-jsonschema,
 python3-jwt,
 python3-mock,
 python3-netaddr,
 python3-requests,
 python3-routes,
 python3-six,
 python3-unittest2,
 python3-webob,
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/zvmcloudconnector
Vcs-Git: https://salsa.debian.org/openstack-team/libs/zvmcloudconnector.git
Homepage: https://github.com/mfcloud/python-zvm-sdk

Package: python3-zvmcloudconnector
Architecture: all
Depends:
 python3-jsonschema,
 python3-jwt,
 python3-netaddr,
 python3-requests,
 python3-routes,
 python3-six,
 python3-webob,
 zvmcloudconnector-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: z/VM Development SDK for managing z/VM - Python 3
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set of APIs to
 operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware driver, z/VM cloud
 connector (zVMCloudConnector) is for nova z/VM driver and other z/VM related openstack
 drivers such as neutron, ceilometer.
 .
 This package contains the Python 3 module.

Package: zvmcloudconnector-api
Architecture: all
Depends:
 python3-zvmcloudconnector (= ${source:Version}),
 ${misc:Depends},
Description: z/VM Development SDK for managing z/VM - z/VM SDK API Server
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set of APIs to
 operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware driver, z/VM cloud
 connector (zVMCloudConnector) is for nova z/VM driver and other z/VM related openstack
 drivers such as neutron, ceilometer.
 .
 This package contains the z/VM SDK API Server.

Package: zvmcloudconnector-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: z/VM Development SDK for managing z/VM - Common Files
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set of APIs to
 operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware driver, z/VM cloud
 connector (zVMCloudConnector) is for nova z/VM driver and other z/VM related openstack
 drivers such as neutron, ceilometer.
 .
 This package contains common files.
