=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/mfcloud/zVMCloudConnector.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd

override_dh_auto_install:
	pkgos-dh_auto_install
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/etc
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/usr/lib/systemd
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/var
	mv $(CURDIR)/doc/source/zvmsdk.conf.sample $(CURDIR)/debian/zvmcloudconnector-common/etc/zvmsdk/zvmsdk.conf
	dh_install --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_install:
	dh_install -O--buildsystem=python_distutils

override_dh_systemd_enable:
	dh_systemd_enable -pzvmcloudconnector-api --name=sdkserver sdkserver.service
	dh_systemd_enable

override_dh_installinit:
	dh_installinit -pzvmcloudconnector-api --no-start --name=sdkserver
	dh_installinit --error-handler=true

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# NOTE(coreycb): Currently there are only unit tests for the smutLayer
	# https://bugs.launchpad.net/bugs/1787611
	@echo "===> Disabled tests"
#	set -e ; for pyvers in $(PYTHON3S); do \
#		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v ; \
#	done
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev:
override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons:
override_dh_perl override_dh_usrlocal:
