## zvmcloudconnector 1.4.0

=== debian/changelog ===
zvmcloudconnector (1.4.0-3) experimental; urgency=medium

  * Correctly remove $(CURDIR)/debian/python3-zvmcloudconnector/lib, as the
    .service file is in zvmcloudconnector-api (Closes: #926307).

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2019 17:22:04 +0200

zvmcloudconnector (1.4.0-2) experimental; urgency=medium

  * Do not maintain alternatives.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Mar 2019 21:40:47 +0100

zvmcloudconnector (1.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 15:22:45 +0100
