=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,20 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/mfcloud/zVMCloudConnector.git
+UPSTREAM_GIT := https://github.com/mfcloud/python-zvm-sdk/
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python3,systemd
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/etc
 	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/usr/lib/systemd
+	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/lib
 	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/var
 	mv $(CURDIR)/doc/source/zvmsdk.conf.sample $(CURDIR)/debian/zvmcloudconnector-common/etc/zvmsdk/zvmsdk.conf
-	dh_install --fail-missing
+	dh_install
+	dh_missing --fail-missing
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
@@ -41,13 +43,3 @@
 #		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v ; \
 #	done
 endif
-
-# Commands not to run
-override_dh_installcatalogs:
-override_dh_installemacsen override_dh_installifupdown:
-override_dh_installinfo override_dh_installmenu override_dh_installmime:
-override_dh_installmodules override_dh_installlogcheck:
-override_dh_installpam override_dh_installppp override_dh_installudev:
-override_dh_installwm:
-override_dh_installxfonts override_dh_gconf override_dh_icons:
-override_dh_perl override_dh_usrlocal:
