## zvmcloudconnector 1.4.1

=== debian/changelog ===
zvmcloudconnector (1.4.1-4) unstable; urgency=medium

  * Use override_dh_installsystemd and not override_dh_systemd_enable, fixing
    FTBFS (Closes: #976568).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Dec 2020 09:13:17 +0100

zvmcloudconnector (1.4.1-3) unstable; urgency=medium

  * Enabling unit tests at build time (Closes: #942466).

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Oct 2019 11:32:01 +0100

zvmcloudconnector (1.4.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:46:52 +0200

zvmcloudconnector (1.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2019 14:08:53 +0200

zvmcloudconnector (1.4.0-7) unstable; urgency=medium

  * Removed python-all and python-setuptools from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2019 09:35:45 +0200

zvmcloudconnector (1.4.0-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Fix build not removing zvmsdk.conf.sample (Closes: #927000).
  * Correctly rewrap long desc to 80 cols.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Aug 2019 16:25:07 +0200

zvmcloudconnector (1.4.0-5) unstable; urgency=medium

  * Make the -api package runtime depends on lsb-base.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:49:47 +0200
