=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/mfcloud/python-zvm-sdk/
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/etc
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/usr/lib/systemd
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/lib
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/var
	cp $(CURDIR)/doc/source/zvmsdk.conf.sample $(CURDIR)/debian/zvmcloudconnector-common/etc/zvmsdk/zvmsdk.conf
	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_installsystemd:
	dh_installsystemd
	dh_installsystemd -pzvmcloudconnector-api --name=sdkserver sdkserver.service

override_dh_installinit:
	dh_installinit -pzvmcloudconnector-api --no-start --name=sdkserver
	dh_installinit --error-handler=true

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v -s $(CURDIR)/zvmsdk/tests/unit; \
		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v -s $(CURDIR)/smutLayer/tests/unit; \
	done
endif
