## zvmcloudconnector 1.6.3

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,4 @@
 Routes>=2.2 # MIT
 six>=1.9.0 # MIT
 WebOb>=1.2.3 # MIT
+PyYAML>=3.10
