=== debian/changelog ===
zvmcloudconnector (1:1.6.3-0ubuntu1) oracular; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream point release, bump epoch to clear snapshot snafu. 
  * d/rules: smutLayer->smtLayer for unit tests.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2024 10:25:15 +0100

zvmcloudconnector (2.0.0~b1~git2019062011.4fc9142.really.1.4.1-0ubuntu4) UNRELEASED; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:06:22 -0400

zvmcloudconnector (2.0.0~b1~git2019062011.4fc9142.really.1.4.1-0ubuntu3) focal; urgency=medium

  * d/zvmcloudconnector-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).
  * d/rules, d/compat, d/control: Switch to debhelper compat level 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Mar 2020 14:16:07 -0400

zvmcloudconnector (2.0.0~b1~git2019062011.4fc9142.really.1.4.1-0ubuntu2) eoan; urgency=medium

  * Reversion due to mis-versioning of snapshots during development cycle.
  * d/rules: Switch tests to run from smutLayer.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Oct 2019 16:23:56 -0400

zvmcloudconnector (2.0.0~b1~git2019062011.4fc9142-0ubuntu1) eoan; urgency=medium

  [ Corey Bryant ]
  * d/control: Set source package Section to net, fixing
    binary-control-field-duplicates-source lintian tag.

  [ Sahid Orentino Ferdjaoui ]
  * New upstream release 2.0.0~b1.
  * d/rules: Fix smtLayer unittest path.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 25 Jun 2019 09:48:24 +0100

zvmcloudconnector (1.4.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Mar 2019 08:06:27 -0400

zvmcloudconnector (1.3.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 09:44:59 -0500

zvmcloudconnector (1.2.3-0ubuntu3) cosmic; urgency=medium

  * d/python3-zvmcloudconnector.postinst: Update alternatives priorities to
    give py3 priority if both py2/py3 packages are installed (LP: #1787640).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 07:47:56 -0400

zvmcloudconnector (1.2.3-0ubuntu2) cosmic; urgency=medium

  * d/rules: Run unit tests during build.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Aug 2018 11:38:32 -0400

zvmcloudconnector (1.2.3-0ubuntu1) cosmic; urgency=low

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 15:00:08 -0400
