=== debian/control ===
Source: zvmcloudconnector
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-jsonschema (>= 2.3.0),
 python3-jwt (>= 1.0.1),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.5),
 python3-requests (>= 2.6.0),
 python3-routes (>= 2.2),
 python3-six (>= 1.9.0),
 python3-subunit (>= 1.0.0),
 python3-unittest2,
 python3-webob (>= 1:1.2.3),
 python3-yaml (>= 3.10),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/zvmcloudconnector
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/zvmcloudconnector
Homepage: https://github.com/mfcloud/python-zvm-sdk
Testsuite: autopkgtest-pkg-python

Package: zvmcloudconnector-api
Architecture: all
Section: python
Depends:
 python3-zvmcloudconnector (= ${source:Version}),
 ${misc:Depends},
Description: z/VM Development SDK for managing z/VM - z/VM SDK API Server
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set of APIs to
 operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware driver, z/VM cloud
 connector (zVMCloudConnector) is for nova z/VM driver and other z/VM related openstack
 drivers such as neutron, ceilometer.
 .
 This package contains the z/VM SDK API Server.

Package: python3-zvmcloudconnector
Architecture: all
Depends:
 zvmcloudconnector-common (= ${source:Version}),
 python3-jsonschema (>= 2.3.0),
 python3-jwt (>= 1.0.1),
 python3-netaddr (>= 0.7.5),
 python3-requests (>= 2.6.0),
 python3-routes (>= 2.2),
 python3-six (>= 1.9.0),
 python3-webob (>= 1:1.2.3),
 python3-yaml (>= 3.10),
 ${misc:Depends},
 ${python3:Depends},
Description: z/VM Development SDK for managing z/VM - Python 3
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set of APIs to
 operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware driver, z/VM cloud
 connector (zVMCloudConnector) is for nova z/VM driver and other z/VM related openstack
 drivers such as neutron, ceilometer.
 .
 This package contains the Python 3 module.

Package: zvmcloudconnector-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Description: z/VM Development SDK for managing z/VM - Common Files
 z/VM cloud connector is a development SDK for managing z/VM. It provides a set of APIs to
 operate z/VM including guest, image, network, volume etc.
 .
 Just like os-win for nova hyperv driver and oslo.vmware for nova vmware driver, z/VM cloud
 connector (zVMCloudConnector) is for nova z/VM driver and other z/VM related openstack
 drivers such as neutron, ceilometer.
 .
 This package contains common files.
