=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zvmcloudconnector

PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/etc
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/lib
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/usr/lib/systemd
	rm -rf $(CURDIR)/debian/python3-zvmcloudconnector/var
	mv $(CURDIR)/doc/source/zvmsdk.conf.sample $(CURDIR)/debian/zvmcloudconnector-common/etc/zvmsdk/zvmsdk.conf
	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_install:
	dh_install

override_dh_installsystemd:
	dh_installsystemd -pzvmcloudconnector-api --name=sdkserver sdkserver.service
	dh_installsystemd

override_dh_installinit:
	dh_installinit -pzvmcloudconnector-api --no-start --name=sdkserver
	dh_installinit --error-handler=true

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v -s $(CURDIR)/zvmsdk/tests/unit; \
		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v -s $(CURDIR)/smtLayer/tests/unit; \
	done
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev:
override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons:
override_dh_perl override_dh_usrlocal:
