## zvmcloudconnector 2.0.0~b1~git2019062011.4fc9142.really.1.4.1

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
  subunit,
  testrepository,
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/zvmcloudconnector
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/zvmcloudconnector
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/zvmcloudconnector
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/zvmcloudconnector
 Homepage: https://github.com/mfcloud/python-zvm-sdk
 Testsuite: autopkgtest-pkg-python
