=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	@echo "===> Running tests"
 	set -e ; for pyvers in $(PYTHON3S); do \
 		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v -s $(CURDIR)/zvmsdk/tests/unit; \
-		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v -s $(CURDIR)/smtLayer/tests/unit; \
+		PYTHONPATH=. PYTHON=python$$pyvers python$$pyvers -m unittest discover -v -s $(CURDIR)/smutLayer/tests/unit; \
 	done
 endif
